Badabinski

joined 2 years ago
[–] Badabinski@kbin.earth 5 points 10 hours ago

set -e: Exit on error. Very useful, but notoriously weird with edge cases (especially inside conditionals like if statements, while loops, and pipelines). Don’t rely on it blindly as it can create false confidence. (Pro-tip: consider set -euo pipefail for a more robust safety net, but learn its caveats first.)

while I appreciate that the author mentions how weird this is, nobody is going to learn all the caveats correctly. Don't use set -e. Don't use set -e. Don't use set -e. It's a shit ass broken ass fucked feature that half of nobody understands well. Here's a great wiki page explaining why it's trash: https://mywiki.wooledge.org/BashFAQ/105

People like Go, and Go requires you to manually and stupidly handle every possible error case. Why not do the same for shell? It's really quite easy:

#!/usr/bin/env bash
echoerr() { echo "$@" 1>&2; }

die() {
  message="$1"; shift
  exit_code="${1:-1}"
  echoerr "$message"
  exit "$exit_code"
}

temp_dir="$HOME/tmp"
mkdir -p "$temp_dir" || die "Failed to make persistent temporary dir $temp_dir"
lc_dir="$(mktemp -d -p "$temp_dir")" || die "Failed to make target dir in $temp_dir"

Look at that, descriptive error messages! And it doesn't depend on a shell feature that is inconsistent between versions with no good documentation about all of the fucked up caveats.

[–] Badabinski@kbin.earth 3 points 1 week ago

A book which resembles my favorite series ever, and which is endorsed by one of my other favorite authors? That's a hell of an endorsement. Final Architecture was a DNF for me, but I've enjoyed basically all of Adrian Tchaikovsky's other books.

[–] Badabinski@kbin.earth 3 points 1 week ago

This book made me feel so much dread that I couldn't even finish it.

[–] Badabinski@kbin.earth 7 points 2 weeks ago (1 children)

So uh, OPNSense?

[–] Badabinski@kbin.earth 3 points 2 weeks ago

I'm here for it.

[–] Badabinski@kbin.earth 2 points 3 weeks ago

Ed Zitron seemed to estimate that it was probably 4-5x the current going rate, so a $20 ChatGPT subscriber likely costs OpenAI $80-100.

[–] Badabinski@kbin.earth 6 points 3 weeks ago

"sucundus dick" oh my god I love it

[–] Badabinski@kbin.earth 9 points 3 weeks ago

Sounds like a perfect use-case for some subsonic .300 Blackout rounds.

[–] Badabinski@kbin.earth 25 points 3 weeks ago (17 children)

These other responses are annoying. This looks really cool, and I hope that it works well for you and your friends! We definitely need good discord alternatives ASAP, and more options are better imo.

One cool feature would be some sort of official support for interop/bridging to other services. That might help to boost adoption and would make the "why not just contribute to Y" people be quiet.

[–] Badabinski@kbin.earth 12 points 3 weeks ago

You like that? I'm a fan of it.

[–] Badabinski@kbin.earth 34 points 3 weeks ago (8 children)

I mean, just use any stable distro and you can live that life. Arch is good for its own reasons precisely because it's this way.

view more: next ›